# AuthMinetest

Extension for MediaWiki allowing to authenticate users against a Minetest server

## Requirements:

* MediaWiki 1.27+
* Minetest with auth_export mod enabled
* minetestauth.py duct-tape http server

## Installation and setup

Clone / unzip into your MediaWiki's extension/AuthMinetest/ folder.

Configure your MediaWiki authentication manager to use this extension as the
primary authentication provider:

	wfLoadExtension( 'AuthMinetest' );

	$wgAuthManagerAutoConfig['primaryauth'] = [
		MediaWiki\Auth\MinetestPasswordPrimaryAuthenticationProvider::class => [
			'class' => MediaWiki\Auth\MinetestPasswordPrimaryAuthenticationProvider::class,
			'args' => [
				[
					'minetestUrl' => 'http://your.minetest.url',
				]
			],
			'sort' => 0,
		],
		];

Enable the auth\_export mod on your minetest server, and install the
minetestauth.py script. You then need to point both the auth\_export
mod and this plugin to the minetestauth.py script like this:

	auth_export ←→ minetestauth.py ←→ AuthMinetest

Keep in mind that stuff is sent in plain text, so you should have all
of these listening on localhost or use encrypted tunnels between the
hosts, such as ssh or vpn tunnels.

## Copying

This extension is based on
[AuthMoodle](https://github.com/moodlehq/mediawiki-authmoodle) by
David Mudrák.

Copyright 2017 David Mudrák <david@moodle.org>
Copyright 2019 Gabriel Pérez-Cerezo <gabriel@gpcf.eu>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
